Part Ellipsoid/it: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
<languages/>
{{UnfinishedDocu{{#translation:}}}}


{{Docnav
{{Docnav
Line 10: Line 9:
|IconC=Workbench_Part.svg
|IconC=Workbench_Part.svg
}}
}}



<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 22: Line 20:
</div>
</div>


A Part Ellipsoid can be truncated at the top and/or bottom by changing its {{PropertyData|Angle1}} and/or {{PropertyData|Angle2}} properties. It can be turned into a segment of an ellipsoid by changing its {{PropertyData|Angle3}} property.
In FreeCAD la forma prodotta è limitata ad essere un solido sferoide (opzionalmente troncato), per crearlo è necessario ruotare un'ellisse attorno ad uno dei sui assi. Per impostazione predefinita, si tratta di uno [http://it.wikipedia.org/wiki/Sferoide sferoide oblato], [http://en.wikipedia.org/wiki/Oblate_spheroid oblate spheroid], cioè la forma che si creerebbe ruotando un'ellisse attorno al suo asse minore, ma i parametri possono essere modificati per formare uno sferoide prolato, [http://en.wikipedia.org/wiki/Prolate_spheroid prolate spheroid].


[[Image:Part_Ellipsoid_Example.png|400px]]
In FreeCAD ogni sezione trasversale parallela al piano xy lo sferoide predefinito è un cerchio . La sezione trasversale parallela agli altri due piani è un'ellisse.

In geometria, un [http://it.wikipedia.org/wiki/Ellissoide ellissoide], [http://en.wikipedia.org/wiki/Ellipsoid Ellissoide] avrebbe una sezione ellittica in tutti e tre i piani.


<div class="mw-translate-fuzzy">
==Utilizzo==
==Utilizzo==
</div>

See [[Part_Primitives#Usage|Part Primitives]].

== Example ==

[[Image:Part_Ellipsoid_Scripting_Example.png|thumb|Part Ellipsoid from the scripting example]]

A Part Ellipsoid object created with the [[#Scripting|scripting example]] below is shown here.


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
==Proprietà==
La primitiva geometrica Ellissoide è disponibile dalla finestra di dialogo Crea primitive di Parte.
# Attivare l'ambiente [[Image:Workbench_Part.svg|24px]] [[Part Workbench/it|Parte]]
# Ci sono diversi modi per accedere alla finestra di dialogo Crea ellisoide:
#* Premere il pulsante [[Image:Part_CreatePrimitives.svg|24px]] [[Part_CreatePrimitives/it|Crea primitive]] nella barra degli strumenti di Part
#* Usare {{MenuCommand|Part → [[Part_CreatePrimitives/it|Crea primitive]] → Ellissoide}}
</div>
</div>


See also: [[Property_editor|Property editor]].
==Proprietà==


A Part Ellipsoid object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:
* Radius 1: Di default il raggio minore parallelo all'asse Z,
* Radius 2: Per default il raggio maggiore parallelo al piano XY, è anche il raggio massimo della sezione circolare trasversale
* Angle 1: Troncamento inferiore dell'ellissoide, parallelo alla sezione circolare (-90 gradi in uno sferoide completo)
* Angle 2: Troncamento superiore dell'ellissoide, parallelo alla sezione circolare (90 gradi in uno sferoide completo)
* Angle 3: angolo di rotazione della sezione trasversale ellittica (360 gradi in uno sferoide completo)


=== Data ===


{{TitleProperty|Attachment}}
[[Image:Part_Ellipsoid_screenshot.jpg]]

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Ellipsoid}}

* {{PropertyData|Radius1|Length}}: The radius of the ellipsoid in its Z direction. The default is {{Value|2mm}}.
* {{PropertyData|Radius2|Length}}: The radius of the ellipsoid in its X direction. The default is {{Value|4mm}}.
* {{PropertyData|Radius3|Length}}: The radius of the ellipsoid in its Y direction. The default is {{Value|4mm}}.
* {{PropertyData|Angle1|Angle}}: The start angle of the elliptical sides of the ellipsoid. Valid range: {{Value|-90° &lt;&#61; value &lt; 90°}}. Must be smaller than {{PropertyData|Angle2}}. The default is {{Value|-90°}}.
* {{PropertyData|Angle2|Angle}}: The end angle of the elliptical sides of the ellipsoid. Valid range: {{Value|-90° &lt; value &lt;&#61; 90°}}. Must be larger than {{PropertyData|Angle1}}. The default is {{Value|90°}}. If the total angle of the elliptical sides is smaller than {{Value|180°}} the ellipsoid will be truncated and have a flat face at the top and/or bottom.
* {{PropertyData|Angle3|Angle}}: The total angle of the ellipsoid in its XY plane. Valid range: {{Value|0° &lt; value &lt;&#61; 360°}}. The default is {{Value|360°}}. If it is smaller than {{Value|360°}} the resulting solid will be a segment of an ellipsoid.

== Scripting ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Ellipsoid can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
ellipsoid = FreeCAD.ActiveDocument.addObject("Part::Ellipsoid", "myEllipsoid")
}}

* Where {{Incode|"myEllipsoid"}} is the name for the object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

ellipsoid = doc.addObject("Part::Ellipsoid", "myEllipsoid")
ellipsoid.Radius1 = 2
ellipsoid.Radius2 = 4
ellipsoid.Radius3 = 6
ellipsoid.Angle1 = -90
ellipsoid.Angle2 = 50
ellipsoid.Angle3 = 300
ellipsoid.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(15, 0, 20))

doc.recompute()
}}




Line 59: Line 101:
}}
}}


{{Part Tools navi{{#translation:}}}}
{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Revision as of 10:07, 3 March 2022

Ellissoide

Posizione nel menu
Parte → Crea primitive → Ellissoide
Ambiente
Parte, OpenSCAD
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Crea Primitive

Descrizione

Il comando Ellissoide command crea un ellissoide solido parametrico.

A Part Ellipsoid can be truncated at the top and/or bottom by changing its DatiAngle1 and/or DatiAngle2 properties. It can be turned into a segment of an ellipsoid by changing its DatiAngle3 property.

Utilizzo

See Part Primitives.

Example

Part Ellipsoid from the scripting example

A Part Ellipsoid object created with the scripting example below is shown here.

Proprietà

See also: Property editor.

A Part Ellipsoid object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Ellipsoid

  • DatiRadius1 (Length): The radius of the ellipsoid in its Z direction. The default is 2mm.
  • DatiRadius2 (Length): The radius of the ellipsoid in its X direction. The default is 4mm.
  • DatiRadius3 (Length): The radius of the ellipsoid in its Y direction. The default is 4mm.
  • DatiAngle1 (Angle): The start angle of the elliptical sides of the ellipsoid. Valid range: -90° <= value < 90°. Must be smaller than DatiAngle2. The default is -90°.
  • DatiAngle2 (Angle): The end angle of the elliptical sides of the ellipsoid. Valid range: -90° < value <= 90°. Must be larger than DatiAngle1. The default is 90°. If the total angle of the elliptical sides is smaller than 180° the ellipsoid will be truncated and have a flat face at the top and/or bottom.
  • DatiAngle3 (Angle): The total angle of the ellipsoid in its XY plane. Valid range: 0° < value <= 360°. The default is 360°. If it is smaller than 360° the resulting solid will be a segment of an ellipsoid.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Ellipsoid can be created with the addObject() method of the document:

ellipsoid = FreeCAD.ActiveDocument.addObject("Part::Ellipsoid", "myEllipsoid")
  • Where "myEllipsoid" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

ellipsoid = doc.addObject("Part::Ellipsoid", "myEllipsoid")
ellipsoid.Radius1 = 2
ellipsoid.Radius2 = 4
ellipsoid.Radius3 = 6
ellipsoid.Angle1 = -90
ellipsoid.Angle2 = 50
ellipsoid.Angle3 = 300
ellipsoid.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(15, 0, 20))

doc.recompute()